package com.tarak.api.base;

import com.tarak.api.netHandler.NetClientHandler;
import com.tarak.api.netHandler.ThreadConnectToServer;


public class Connecter
{
    /** A reference to the NetClientHandler. */
    private NetClientHandler clientHandler;

    /** True if the connection attempt has been cancelled. */
    private boolean cancelled = false;
    
    public AccountManager api;

    public Connecter(String serverIP, int port, AccountManager api)
    {
    	this.api = api;
        this.spawnNewServerThread(serverIP, port);
    }


    private void spawnNewServerThread(String par1Str, int par2)
    {
        (new ThreadConnectToServer(this, par1Str, par2, this.api)).start();
    }

    
    

//    /**
//     * Fired when a control is clicked. This is the equivalent of ActionListener.actionPerformed(ActionEvent e).
//     */
//    protected void actionPerformed(GuiButton par1GuiButton)
//    {
//        if (par1GuiButton.id == 0)
//        {
//            this.cancelled = true;
//
//            if (this.clientHandler != null)
//            {
//                this.clientHandler.disconnect();
//            }
//
//        }
//    }

    /**
     * Sets the NetClientHandler.
     */
    public static NetClientHandler setNetClientHandler(Connecter par0Connecter, NetClientHandler par1NetClientHandler)
    {
        return par0Connecter.clientHandler = par1NetClientHandler;
    }

    public static boolean isCancelled(Connecter par0Connecter)
    {
        return par0Connecter.cancelled;
    }

    /**
     * Gets the NetClientHandler.
     */
    public static NetClientHandler getNetClientHandler(Connecter par0Connecter)
    {
        return par0Connecter.clientHandler;
    }

}
