package com.tarak.api.base;

import com.tarak.api.netHandler.TcpConnection;
import com.tarak.api.packets.Packet0KeepAlive;
import com.tarak.api.packets.Packet10Flying;

public class GameThread implements Runnable{
	
	AccountManager api;
	
	TcpConnection theTcpConnection;
	
	public GameThread(TcpConnection t, AccountManager api) {
		this.api = api;
		this.theTcpConnection = t;
	}
	
	boolean enabled;
	
	long delay;
	boolean b = true;

	@Override
	public void run() {
        while (TcpConnection.isRunning(this.theTcpConnection) && !TcpConnection.isServerTerminating(this.theTcpConnection))
		{

			if(api.getStream() != null)
			{
				api.getStream().sendPacket(new Packet0KeepAlive());
	            api.getStream().sendPacket(new Packet10Flying(true));
	            for(BotProject project:api.getProjects())
	            {
	            	project.onTick(api);
	            }
				try{
					Thread.sleep(50);
				}catch(Exception e)
				{}
			}else
			{
				try{
					Thread.sleep(2);
				}catch(Exception e){}
			}
		}
        enabled = false;
	}
	
	public TcpConnection getTheTcpConnection() {
		return theTcpConnection;
	}
	
	public void queThread()
	{
		this.enabled = true;
	}
	
//	private boolean pause(int delay)
//	{
//		if(System.currentTimeMillis() -this.delay >delay)
//		{
//			this.delay = System.currentTimeMillis();
//			return true;
//		}
//		return false;
//	}

}
