package com.tarak.api.base;

import java.util.regex.Pattern;

import com.tarak.api.packets.Packet;

public abstract class BotProject {
	
	public abstract void onTick(AccountManager instance);
	
	public abstract void onChatReceive(AccountManager instance,String message);
	
	public abstract void onKick(AccountManager instance, String reason);
	
    private static final Pattern patternControlCode = Pattern.compile("(?i)\\u00A7[0-9A-FK-OR]");


    public String stripControlCodes(String par0Str)
    {
        return patternControlCode.matcher(par0Str).replaceAll("");
    }
	
}
